Commit 1605594d authored by Jeremy Norris's avatar Jeremy Norris
Browse files

maint: fix pkg-config dependency

parent 33837129
Pipeline #160 passed with stage
in 5 minutes and 41 seconds
......@@ -29,6 +29,9 @@ release:
GITLAB_TOKEN: $GITLAB_TOKEN
# This may no longer be required:
GONOSUMDB: 'gitlab.qobserve.com/teamq/flux-pkg-config'
# Only run this release job for tags, not every commit (for example).
only:
refs:
......@@ -41,6 +44,6 @@ release:
--commit-url https://gitlab.qobserve.com/teamq/flux/-/commit \
-o release-notes.txt
go build -o /go/bin/pkg-config github.com/influxdata/pkg-config
go build -o /go/bin/pkg-config gitlab.qobserve.com/teamq/flux-pkg-config
./gotool.sh github.com/goreleaser/goreleaser release \
--debug --rm-dist -p 1 --release-notes release-notes.txt
......@@ -28,7 +28,6 @@ require (
github.com/google/uuid v1.1.1 // indirect
github.com/inconshreveable/mousetrap v1.0.0 // indirect
github.com/influxdata/line-protocol v0.0.0-20180522152040-32c6aa80de5e
github.com/influxdata/pkg-config v0.2.5
github.com/influxdata/promql/v2 v2.12.0
github.com/influxdata/tdigest v0.0.0-20181121200506-bf2b5ad3c0a9
github.com/lib/pq v1.0.0
......@@ -50,6 +49,7 @@ require (
github.com/snowflakedb/gosnowflake v1.3.4
github.com/spf13/cobra v0.0.3
github.com/uber/athenadriver v1.1.4
gitlab.qobserve.com/teamq/flux-pkg-config v0.2.8
go.uber.org/zap v1.14.0
golang.org/x/exp v0.0.0-20200224162631-6cc2880d07d6
golang.org/x/net v0.0.0-20200625001655-4c5254603344
......
......@@ -162,8 +162,6 @@ github.com/inconshreveable/mousetrap v1.0.0 h1:Z8tu5sraLXCXIcARxBp/8cbvlwVa7Z1NH
github.com/inconshreveable/mousetrap v1.0.0/go.mod h1:PxqpIevigyE2G7u3NXJIT2ANytuPF1OarO4DADm73n8=
github.com/influxdata/line-protocol v0.0.0-20180522152040-32c6aa80de5e h1:/o3vQtpWJhvnIbXley4/jwzzqNeigJK9z+LZcJZ9zfM=
github.com/influxdata/line-protocol v0.0.0-20180522152040-32c6aa80de5e/go.mod h1:4kt73NQhadE3daL3WhR5EJ/J2ocX0PZzwxQ0gXJ7oFE=
github.com/influxdata/pkg-config v0.2.5 h1:iC19aXlkUPiwxjxeeKk8TT8S5s3pargNPLgZE/rvOzc=
github.com/influxdata/pkg-config v0.2.5/go.mod h1:EMS7Ll0S4qkzDk53XS3Z72/egBsPInt+BeRxb0WeSwk=
github.com/influxdata/promql/v2 v2.12.0 h1:kXn3p0D7zPw16rOtfDR+wo6aaiH8tSMfhPwONTxrlEc=
github.com/influxdata/promql/v2 v2.12.0/go.mod h1:fxOPu+DY0bqCTCECchSRtWfc+0X19ybifQhZoQNF5D8=
github.com/influxdata/tdigest v0.0.0-20181121200506-bf2b5ad3c0a9 h1:MHTrDWmQpHq/hkq+7cw9oYAt2PqUw52TZazRA0N7PGE=
......@@ -254,6 +252,8 @@ github.com/uber-go/tally v3.3.15+incompatible/go.mod h1:YDTIBxdXyOU/sCWilKB4bgyu
github.com/uber/athenadriver v1.1.4 h1:k6k0RBeXjR7oZ8NO557MsRw3eX1cc/9B0GNx+W9eHiQ=
github.com/uber/athenadriver v1.1.4/go.mod h1:tQjho4NzXw55LGfSZEcETuYydpY1vtmixUabHkC1K/E=
github.com/yuin/goldmark v1.1.32/go.mod h1:3hX8gzYuyVAZsxl0MRgGTJEmQBFcNTphYh9decYSb74=
gitlab.qobserve.com/teamq/flux-pkg-config v0.2.8 h1:vVE1/ssoFQqb0qUKPmu52PTOH71fRbscpPyr5a+pMCk=
gitlab.qobserve.com/teamq/flux-pkg-config v0.2.8/go.mod h1:FW7QSTTTBu4YzMCvXfHFc8L9AngQ7x0toSr7QJylQNA=
go.opencensus.io v0.21.0/go.mod h1:mSImk1erAIZhrmZN+AvHh14ztQfjbGwt4TtuofqLduU=
go.opencensus.io v0.22.0 h1:C9hSCOW830chIVkdja34wa6Ky+IzWllkUinR+BtRZd4=
go.opencensus.io v0.22.0/go.mod h1:+kGneAE2xo2IficOXnaByMWTGM9T73dGwxeWcUqIpI8=
......
......@@ -3,7 +3,7 @@
package tools
import (
_ "github.com/influxdata/pkg-config"
_ "gitlab.qobserve.com/teamq/flux-pkg-config"
)
// This package specifies the list of go tool dependencies that downstream
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment